SSL certificate management service 7 matching interfaces
Count matching certificates countSSLCerts
POST /SSLCertService/countSSLCerts
Definition file service_ssl_cert.proto
Available roles Administrator User Original definition Request message Response message Original definition Copy coderpc countSSLCerts ( CountSSLCertRequest ) returns ( RPCCountResponse );
Request message CountSSLCertRequestCount matching certificates
Request message · Field definitions Copy codemessage CountSSLCertRequest {
bool isCA = 1 ; // Optional: whether this is a CA certificate
bool isAvailable = 2 ; // Optional: whether usable within its validity period
bool isExpired = 3 ; // Optional: whether expired
int32 expiringDays = 4 ; // Optional: days until expiration
string keyword = 5 ; // Optional: keywords
int64 userId = 6 ; // Optional: user ID; if omitted, retrieves administrator-uploaded certificates
repeated string domains = 7 ; // Optional: domain names to search for
bool userOnly = 8 ; // Optional: list user-uploaded certificates only
}
Response message RPCCountResponseReturn the count
Response message · Field definitions Copy codemessage RPCCountResponse {
int64 count = 1 ;
}